#ifndef __LCDV2__
#define __LCDV2__

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <signal.h>
#include <unistd.h>

#include "typedefs.h"
#include "serial.h"
#include "633_packet.h"
#include "show_packet.h"

#define SERIALPORT "/dev/ttyS2" /*Le LCD est branch sur le port srie 3 (ttyS2) ou 4 (ttyS3)*/
#define BAUDRATE   19200

#define KP_UP     0x01
#define KP_ENTER  0x02
#define KP_CANCEL 0x04
#define KP_LEFT   0x08
#define KP_RIGHT  0x10
#define KP_DOWN   0x20


/* Signal handler */
void signal_handler(int sig);

void LcdWriteLine(char* buffer, int size, int line);

#endif
